Package org.apache.tools.ant

# Class Location

java.lang.Object
org.apache.tools.ant.Location

All Implemented Interfaces:
  `java.io.Serializable`

    public class Location
    extends java.lang.Object
    implements java.io.Serializable

Stores the location of a piece of text within a file (file name, line number and column number). Note that the column number is currently ignored.

See Also:
  Serialized Form

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static Location` | `UNKNOWN_LOCATION` | Location to use when one is needed but no information is available

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Location​(java.lang.String fileName)` | Creates a location consisting of a file name but no line number or column number.
`Location​(java.lang.String fileName, int lineNumber, int columnNumber)` | Creates a location consisting of a file name, line number and column number.
`Location​(org.xml.sax.Locator loc)` | Creates a location from the SAX locator using the system ID as the filename.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(java.lang.Object other)` | Equality operation.
`int` | `getColumnNumber()` |
`java.lang.String` | `getFileName()` |
`int` | `getLineNumber()` |
`int` | `hashCode()` | Hash operation.
`java.lang.String` | `toString()` | Returns the file name, line number, a colon and a trailing space.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### UNKNOWN_LOCATION

public static final Location UNKNOWN_LOCATION
Location to use when one is needed but no information is available

## Constructor Details

### Location

public Location​(java.lang.String fileName)
Creates a location consisting of a file name but no line number or column number.

Parameters:
  `fileName` - The name of the file. May be `null`, in which case the location is equivalent to `UNKNOWN_LOCATION`.

### Location

public Location​(org.xml.sax.Locator loc)
Creates a location from the SAX locator using the system ID as the filename.

Parameters:
  `loc` - Must not be `null`.
Since:
  Ant 1.6

### Location

public Location​(java.lang.String fileName, int lineNumber, int columnNumber)
Creates a location consisting of a file name, line number and column number.

Parameters:
  `fileName` - The name of the file. May be `null`, in which case the location is equivalent to `UNKNOWN_LOCATION`.
  `lineNumber` - Line number within the file. Use 0 for unknown positions within a file.
  `columnNumber` - Column number within the line.

## Method Details

### getFileName

public java.lang.String getFileName()

Returns:
  the filename portion of the location
Since:
  Ant 1.6

### getLineNumber

public int getLineNumber()

Returns:
  the line number
Since:
  Ant 1.6

### getColumnNumber

public int getColumnNumber()

Returns:
  the column number
Since:
  Ant 1.7

### toString

public java.lang.String toString()
Returns the file name, line number, a colon and a trailing space. An error message can be appended easily. For unknown locations, an empty string is returned.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a String of the form `"fileName:lineNumber: "` if both file name and line number are known, `"fileName: "` if only the file name is known, and the empty string for unknown locations.

### equals

public boolean equals​(java.lang.Object other)
Equality operation.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - the object to compare to.
Returns:
  true if the other object contains the same information as this object.
Since:
  Ant 1.6.3

### hashCode

public int hashCode()
Hash operation.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  a hash code value for this location.
Since:
  Ant 1.6.3